]> git.sur5r.net Git - bacula/bacula/blobdiff - bacula/configure
Fix label dialog
[bacula/bacula] / bacula / configure
index a3816265f53d8e400b051952e0c7f1c6586c56ea..3692440ba4be1bbf7275726cbeeef8668df76bbd 100755 (executable)
@@ -754,6 +754,7 @@ GNOMEUI_LIBS
 GNOME_LIBDIR
 GNOME_LIBS
 GNOME_DIR
+BAT_DIR
 WXCONS_CPPFLAGS
 WXCONS_LDFLAGS
 WX_DIR
@@ -798,6 +799,8 @@ sd_password
 mon_dir_password
 mon_fd_password
 mon_sd_password
+db_name
+db_user
 dir_user
 dir_group
 sd_user
@@ -809,7 +812,7 @@ SQL_LFLAGS
 SQL_INCLUDE
 SQL_BINDIR
 cats
-DB_NAME
+DB_TYPE
 GETCONF
 XMKMF
 X_CFLAGS
@@ -1428,6 +1431,7 @@ Optional Features:
   --disable-nls           do not use Native Language Support
   --disable-rpath         do not hardcode runtime library paths
   --enable-gnome         enable build of gnome-console GUI disabled
+  --enable-bat enable build of bat Qt4 GUI disabled
   --enable-wx-console     enable build of wxWidgets console disabled
   --enable-tray-monitor   enable build of Gnome tray monitor (compatible with KDE) disabled
   --enable-smartalloc     enable smartalloc debugging support disabled
@@ -1477,6 +1481,8 @@ Optional Packages:
   --with-mon-dir-password=PASSWORD      specify Director's password used by the monitor
   --with-mon-fd-password=PASSWORD       specify Client's password used by the monitor
   --with-mon-sd-password=PASSWORD       specify Storage daemon's password used by the monitor
+  --with-db-name=DBNAME               specify database name (default bacula)
+  --with-db-user=UNAME        specify database user (default bacula)
   --with-dir-user=USER          specify user for Director daemon
   --with-dir-group=GROUP                specify group for Director daemon
   --with-sd-user=USER           specify user for Storage daemon
@@ -14616,6 +14622,7 @@ support_smartalloc=yes
 support_readline=yes
 support_conio=yes
 support_gnome=no
+support_bat=no
 support_wx_console=no
 support_tls=no
 support_crypto=no
@@ -14631,8 +14638,8 @@ build_client_only=no
 build_dird=yes
 build_stored=yes
 cats=
-db_name=Internal
-DB_NAME=bdb
+db_type=Internal
+DB_TYPE=bdb
 
 
 # -------------------------------------------
@@ -14669,6 +14676,36 @@ echo "$as_me: error: Unable to find Gnome 2 installation" >&2;}
 fi
 
 
+# -------------------------------------------
+# bat (default off)
+# -------------------------------------------
+# Check whether --enable-bat was given.
+if test "${enable_bat+set}" = set; then
+  enableval=$enable_bat; if test x$enableval = xyes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_BAT 1
+_ACEOF
+
+    support_bat=yes
+  fi
+fi
+
+
+BAT_DIR=
+if test x$support_bat = xyes; then
+  abc=`$PKGCONFIG --atleast-version=4.2 QtGui`
+  pkg=$?
+  if test $pkg = 0; then
+     BAT_DIR=src/qt-console
+  else
+     { { echo "$as_me:$LINENO: error: Unable to find Qt4 installation needed by bat" >&5
+echo "$as_me: error: Unable to find Qt4 installation needed by bat" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+fi
+
+
 
 # -------------------------------------------
 # wx-console (default off)
@@ -14852,8 +14889,8 @@ fi
 if test "${enable_client_only+set}" = set; then
   enableval=$enable_client_only; if test x$enableval = xyes; then
       build_client_only=yes
-      db_name=None
-      DB_NAME=none
+      db_type=None
+      DB_TYPE=none
    fi
 fi
 
 
 
 
+#
+# Pickup any database name
+#
+db_name=bacula
+
+# Check whether --with-db_name was given.
+if test "${with_db_name+set}" = set; then
+  withval=$with_db_name;
+       if test "x$withval" != "x" ; then
+            db_name=$withval
+       fi
+
+
+fi
+
+
+
+db_user=bacula
+
+# Check whether --with-db_user was given.
+if test "${with_db_user+set}" = set; then
+  withval=$with_db_user;
+       if test "x$withval" != "x" ; then
+            db_user=$withval
+       fi
+
+
+fi
+
+
+
 
 #
 # Handle users and groups for each daemon
@@ -18894,8 +18962,8 @@ _ACEOF
 echo "${ECHO_T}yes" >&6; }
       db_found=yes
       support_postgresql=yes
-      db_name=PostgreSQL
-      DB_NAME=postgresql
+      db_type=PostgreSQL
+      DB_TYPE=postgresql
   else
       { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
@@ -19020,8 +19088,8 @@ _ACEOF
 echo "${ECHO_T}yes" >&6; }
     db_found=yes
     support_mysql=yes
-    db_name=MySQL
-    DB_NAME=mysql
+    db_type=MySQL
+    DB_TYPE=mysql
 
   else
         { echo "$as_me:$LINENO: result: no" >&5
@@ -19126,8 +19194,8 @@ _ACEOF
 echo "${ECHO_T}yes" >&6; }
     db_found=yes
     support_mysql=yes
-    db_name=MySQL
-    DB_NAME=mysql
+    db_type=MySQL
+    DB_TYPE=mysql
 
   else
         { echo "$as_me:$LINENO: result: no" >&5
@@ -19219,8 +19287,8 @@ _ACEOF
 echo "${ECHO_T}yes" >&6; }
      db_found=yes
      support_sqlite3=yes
-     db_name=SQLite3
-     DB_NAME=sqlite3
+     db_type=SQLite3
+     DB_TYPE=sqlite3
 
   else
      { echo "$as_me:$LINENO: result: no" >&5
@@ -19314,8 +19382,8 @@ _ACEOF
 echo "${ECHO_T}yes" >&6; }
      db_found=yes
      support_sqlite=yes
-     db_name=SQLite
-     DB_NAME=sqlite
+     db_type=SQLite
+     DB_TYPE=sqlite
 
   else
      { echo "$as_me:$LINENO: result: no" >&5
@@ -34711,6 +34779,7 @@ GNOMEUI_LIBS!$GNOMEUI_LIBS$ac_delim
 GNOME_LIBDIR!$GNOME_LIBDIR$ac_delim
 GNOME_LIBS!$GNOME_LIBS$ac_delim
 GNOME_DIR!$GNOME_DIR$ac_delim
+BAT_DIR!$BAT_DIR$ac_delim
 WXCONS_CPPFLAGS!$WXCONS_CPPFLAGS$ac_delim
 WXCONS_LDFLAGS!$WXCONS_LDFLAGS$ac_delim
 WX_DIR!$WX_DIR$ac_delim
@@ -34745,7 +34814,6 @@ job_email!$job_email$ac_delim
 smtp_host!$smtp_host$ac_delim
 piddir!$piddir$ac_delim
 subsysdir!$subsysdir$ac_delim
-baseport!$baseport$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -34787,6 +34855,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+baseport!$baseport$ac_delim
 dir_port!$dir_port$ac_delim
 fd_port!$fd_port$ac_delim
 sd_port!$sd_port$ac_delim
@@ -34796,6 +34865,8 @@ sd_password!$sd_password$ac_delim
 mon_dir_password!$mon_dir_password$ac_delim
 mon_fd_password!$mon_fd_password$ac_delim
 mon_sd_password!$mon_sd_password$ac_delim
+db_name!$db_name$ac_delim
+db_user!$db_user$ac_delim
 dir_user!$dir_user$ac_delim
 dir_group!$dir_group$ac_delim
 sd_user!$sd_user$ac_delim
@@ -34807,7 +34878,7 @@ SQL_LFLAGS!$SQL_LFLAGS$ac_delim
 SQL_INCLUDE!$SQL_INCLUDE$ac_delim
 SQL_BINDIR!$SQL_BINDIR$ac_delim
 cats!$cats$ac_delim
-DB_NAME!$DB_NAME$ac_delim
+DB_TYPE!$DB_TYPE$ac_delim
 GETCONF!$GETCONF$ac_delim
 XMKMF!$XMKMF$ac_delim
 X_CFLAGS!$X_CFLAGS$ac_delim
@@ -34834,7 +34905,7 @@ DISTVER!$DISTVER$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 45; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 48; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -35446,7 +35517,7 @@ if test "x${subsysdir}" = "x${sbindir}" ; then
    exit 1
 fi
 
-if test "x${db_name}" = "xInternal" ; then
+if test "x${db_type}" = "xInternal" ; then
    echo " "
    echo " "
    echo "You have not specified either --enable-client-only or one of the"
@@ -35483,8 +35554,10 @@ Configuration on `date`:
   Statically Linked SD:       ${support_static_sd}
   Statically Linked DIR:      ${support_static_dir}
   Statically Linked CONS:     ${support_static_cons}
-  Database type:             ${db_name}
+  Database type:             ${db_type}
   Database lib:              ${DB_LIBS}
+  Database name:             ${db_name}
+  Database user:             ${db_user}
 
   Job Output Email:          ${job_email}
   Traceback Email:           ${dump_email}
@@ -35511,6 +35584,7 @@ Configuration on `date`:
   Encryption support:        ${support_crypto}
   ZLIB support:              ${have_zlib}
   enable-smartalloc:         ${support_smartalloc}
+  enable-bat:                ${support_bat}
   enable-gnome:              ${support_gnome} ${gnome_version}
   enable-wx-console:         ${support_wx_console} ${wx_version}
   enable-tray-monitor:       ${support_tray_monitor}